## com.lowagie.bc.asn1
Class ASN1OctetString

    java.lang.Object
      com.lowagie.bc.asn1.DERObject
          com.lowagie.bc.asn1.ASN1OctetString

All Implemented Interfaces:
  DEREncodable, DERTags

Direct Known Subclasses:
  DEROctetString

public abstract class ASN1OctetString
extends DERObject

Field Summary
`(package private) byte[]` `string`

Fields inherited from interface com.lowagie.bc.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`ASN1OctetString(byte[] string)`
`ASN1OctetString(DEREncodable obj)`

Method Summary
`(package private) abstract void` `encode(DEROutputStream out)`
`boolean` `equals(Object o)`
`static ASN1OctetString` `getInstance(ASN1TaggedObject obj, boolean explicit)` return an Octet String from a tagged object.
`static ASN1OctetString` `getInstance(Object obj)` return an Octet String from the given object.
`byte[]` `getOctets()`
`int` `hashCode()`

Methods inherited from class com.lowagie.bc.asn1.DERObject
`getDERObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### string

    byte[] string

Constructor Detail

### ASN1OctetString

    public ASN1OctetString(byte[] string)

Parameters:
  `string` - the octets making up the octet string.

### ASN1OctetString

    public ASN1OctetString(DEREncodable obj)

Method Detail

### getInstance

    public static ASN1OctetString getInstance(ASN1TaggedObject obj,
                                              boolean explicit)

  return an Octet String from a tagged object.

  Parameters:
    `obj` - the tagged object holding the object we want.
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `IllegalArgumentException` - if the tagged object cannot be converted.

### getInstance

    public static ASN1OctetString getInstance(Object obj)

  return an Octet String from the given object.

  Parameters:
    `obj` - the object we want converted.
  Throws:
    `IllegalArgumentException` - if the object cannot be converted.

### getOctets

    public byte[] getOctets()

### hashCode

    public int hashCode()

### equals

    public boolean equals(Object o)

### encode

    abstract void encode(DEROutputStream out)
                  throws IOException

  Specified by:
    `encode` in class `DERObject`
  Throws:
    `IOException`